import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class AurigamiContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    aurigamiAuToken({ address, network }: ContractOpts): import("./ethers").AurigamiAuToken;
    aurigamiComptroller({ address, network }: ContractOpts): import("./ethers").AurigamiComptroller;
    aurigamiLens({ address, network }: ContractOpts): import("./ethers").AurigamiLens;
}
export type { AurigamiAuToken } from './ethers';
export type { AurigamiComptroller } from './ethers';
export type { AurigamiLens } from './ethers';
